#!/bin/bash

script_path=$(dirname $(readlink -f $0))
OLDVALUE=`cat /etc/security/pwquality.conf | grep "^\s*lcredit*=*"`
NEWVALUE=$1

bash $script_path/check_root.sh
CONFIG_PATH=/etc/security/pwquality.conf
if [ -z $NEWVALUE ];then
	echo "false"
	exit
fi


if [ -z "$OLDVALUE" ];then
	echo "lcredit=-$NEWVALUE" >> $CONFIG_PATH
else
	sed -i "/^\s*lcredit*=*/d" $CONFIG_PATH
	echo "lcredit=-$NEWVALUE" >> $CONFIG_PATH
fi
