#!/bin/bash

script_path=$(dirname $(readlink -f $0))
OLDVALUE=`cat /etc/security/pwquality.conf | grep "^\s*ucredit*=*"`
NEWVALUE=$1
bash $script_path/check_root.sh

CONFIG_PATH=/etc/security/pwquality.conf
if [ -z $NEWVALUE ];then
	echo "false"
	exit
fi


if [ -z "$OLDVALUE" ];then
	echo "ucredit=-$NEWVALUE" >> $CONFIG_PATH
else
	sed -i "/^\s*ucredit*=*/d" $CONFIG_PATH
	echo "ucredit=-$NEWVALUE" >> $CONFIG_PATH
fi
