#!/bin/bash

script_path=$(dirname $(readlink -f $0))
KEYPARAM=permit
OLDVALUE=`bash $script_path/get_"$KEYPARAM".sh`

TMPVAR=`grep "PermitEmptyPasswords" /etc/ssh/sshd_config`
if [ $1 = "true" ];then
	if [ "$OLDVALUE" = "false" ];then
		if [ -z "$TMPVAR" ];then
			echo "PermitEmptyPasswords no" >> /etc/ssh/sshd_config
		else
			sed -i "s/$TMPVAR/PermitEmptyPasswords no/g" /etc/ssh/sshd_config
		fi
	fi	
else 
	if [ "$OLDVALUE" = "true" ];then
		sed -i "s/$TMPVAR/PermitEmptyPasswords yes/g" /etc/ssh/sshd_config
	fi
fi
