#!/bin/bash

script_path=$(dirname $(readlink -f $0))
OLDVALUE=`cat /etc/security/pwquality.conf | grep "^\s*dictcheck*=*"`
NEWVALUE=0

CONFIG_PATH=/etc/security/pwquality.conf
if [ -z "$1" ];then
	echo "false"
	exit
fi

if [ "$1" = "true" ];then
	NEWVALUE=1
fi



if [ -z "$OLDVALUE" ];then
	echo "dictcheck=$NEWVALUE" >> $CONFIG_PATH
else
	sed -i "/^\s*dictcheck*=*/d" $CONFIG_PATH
	echo "dictcheck=$NEWVALUE" >> $CONFIG_PATH
fi
