#!/bin/bash

script_path=$(dirname $(readlink -f $0))
OLDVALUE=`cat /etc/security/pwquality.conf | grep "^\s*minlen*=*" | sed 's/^.*minlen\s*=\s*//g' | grep -o "^[0-9]*"`
NEWVALUE=$1

bash $script_path/check_root.sh

CONFIG_PATH=/etc/security/pwquality.conf
if [ -z $NEWVALUE ];then
	echo "false"
	exit
fi


if [ -z "$OLDVALUE" ];then
	echo "minlen=$NEWVALUE" >> $CONFIG_PATH
else
	sed -i "/^\s*minlen*=*/d" $CONFIG_PATH
	echo "minlen=$NEWVALUE" >> $CONFIG_PATH
fi
