#!/bin/bash

script_path=$(dirname $(readlink -f $0))
KEYPARAM=remember
OLDVALUE=`bash $script_path/get_passwdhistory.sh`
NEWVALUE=$1

CONFIG_PATH=/etc/pam.d/system-auth
if [ -z "$1" ];then
	echo "false"
	exit
fi

TEMPVAR=`cat $CONFIG_PATH | grep "password" | grep required | grep "pam_pwhistory.so"`
if [ -z "$TEMPVAR" ];then
	echo "password    required      pam_pwhistory.so use_authtok remember=$NEWVALUE enforce_for_root" >> $CONFIG_PATH
	exit	
fi

NEW_CONTENT=`echo $TEMPVAR | sed "s/$KEYPARAM=$OLDVALUE/$KEYPARAM=$NEWVALUE/g"`

PATTERN=`echo $TEMPVAR | grep -o "$KEYPARAM"`
if [ -z "$PATTERN" ];then
	sed -i "s/$TEMPVAR/$TEMPVAR $KEYPARAM=$NEWVALUE /g" $CONFIG_PATH
else
	sed -i "s/$TEMPVAR/$NEW_CONTENT/g" $CONFIG_PATH
fi
